package randoopWithOracle;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class ErrorTest4 {

    public static boolean debug = false;

    @Test
    public void test2001() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2001");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile12 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment14 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment17 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment17);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2002() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2002");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment13 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile17 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment19 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment22 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment22);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2003() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2003");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList9 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment11 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment20 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile24 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Comment> commentList25 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList26 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment27 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment27);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2004() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2004");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment7 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList8 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile10 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile12 = mapCriticsRepository0.getProfile("");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile16 = mapCriticsRepository0.getProfile("");
        mapCriticsRepository0.deleteProfile("");
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("hi!");
    }

    @Test
    public void test2005() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2005");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile17 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile19 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile21 = mapCriticsRepository0.getProfile("");
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("");
    }

    @Test
    public void test2006() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2006");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList12 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList17 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile19 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment21 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment23 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment25 = mapCriticsRepository0.getComment("hi!");
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("");
    }

    @Test
    public void test2007() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2007");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment9 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment20 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment20);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2008() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2008");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment7 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment9 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment10 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment10);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2009() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2009");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment17 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList18 = mapCriticsRepository0.getAllComments();
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("hi!");
    }

    @Test
    public void test2010() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2010");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList10 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment12 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList16 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList17 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList18 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment19 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment19);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2011() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2011");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList6 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment14 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("hi!");
    }

    @Test
    public void test2012() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2012");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile9 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment16 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment16);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2013() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2013");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList9 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile14 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile16 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("");
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("");
    }

    @Test
    public void test2014() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2014");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("hi!");
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("");
    }

    @Test
    public void test2015() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2015");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment18 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList19 = mapCriticsRepository0.getAllProfiles();
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("hi!");
    }

    @Test
    public void test2016() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2016");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList9 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment11 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Comment> commentList14 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment21 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment22 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment22);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2017() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2017");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment11 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList12 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment13 = null;
        //   java.lang.IllegalArgumentException @throws java.lang.IllegalArgumentException the comment is null.
        mapCriticsRepository0.addComment(comment13);
        org.junit.Assert.fail("exception is expected: " + "[ java.lang.IllegalArgumentException ]");
    }

    @Test
    public void test2018() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "ErrorTest4.test2018");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList10 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile14 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment20 = mapCriticsRepository0.getComment("");
        // during test generation this statement threw an exception of type java.lang.NullPointerException in error
        mapCriticsRepository0.deleteComment("hi!");
    }
}

